QGIS Application - Bug report #10813
Multiline StringParameter in the new modeler
2014-07-04 11:03 PM - Etienne Trimaille

Status: Closed

Priority: Severe/Regression

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 19189
Description

Hi dev, while importing my alg with a multiline string parameter, | have :

Traceback (most recent call last):
File "/home/etienne/.qgis2/python/plugins/processing/modeler/ModelerDialog.py", line 401, in addAlgorithm
self._addAlgorithm(alg.getCopy())
File "/home/etienne/.qgis2/python/plugins/processing/modeler/ModelerDialog.py", line 406, in _addAlgorithm
dlg = ModelerParametersDialog(alg, self.alg)
File "/home/etienne/.qgis2/python/plugins/processing/modeler/ModelerParametersDialog.py", line 81, in __init___
self.setupUi()
File "/homef/etienne/.qgis2/python/plugins/processing/modeler/ModelerParametersDialog.py", line 135, in setupUi
widget = self.getWidgetFromParameter(param)
File "/home/etienne/.qgis2/python/plugins/processing/modeler/ModelerParametersDialog.py", line 323, in
getWidgetFromParameter
item = MultilineTextPanel(strings, self.model)
File "/home/etienne/.qgis2/python/plugins/processing/modeler/MultilineTextPanel.py", line 45, in __init__
self.combo.addltem(option.name(), option)
TypeError: 'unicode’ object is not callable

Thanks !

History

#1 - 2014-07-07 09:06 AM - Giovanni Manghi
- Resolution set to fixed/implemented
- Status changed from Open to Closed

fixed here

#4df7b3464a8a1e1e40e199fad6994e98a2e7b825

#2 - 2015-06-07 04:31 AM - Giovanni Manghi
- Category changed from 94 to Processing/Core
